cimuser(8)

NAME
cimuser - add, modify, remove, or list CIM users

SYNOPSIS
cimuser -a -u username [ -w password ] cimuser -m -u username [ -w old password ] [ -n new password ] cimuser -r -u username cimuser -l cimuser -h cimuser --help cimuser --version

REMARKS
This command can be executed only by privileged user(s).

DESCRIPTION

The cimuser command command provides a command line interface to manage CIM users. If the password is not specified at the command line, the user will be prompted for it. If more than 8 characters are entered for the password, then the first eight characters will be used. There is no default authorization permissions set for newly added users. For more information on adding authorization information see cimauth(8).

  Options

The cimuser command recognizes the following options:

    -a  Add a new CIM user.

    -h, --help
        Display command usage information.

    -l  List the names of CIM users.

    -m  Modify a CIM user password.

    -n  Supply a new password for the specified user name.

    -r  Remove the specified CIM user.

    -u  Specify a CIM user name.

    --version
        Display CIM Server version number.

    -w  Supply a password for the specified user name.

EXIT STATUS

When an error occurs, an error message is written to stderr and an error value of 1 is returned. The following return values are returned:

    0   Successful completion
    1   Error

USAGE NOTE

The cimuser command requires that the CIM Server is running.

EXAMPLES

The following command adds user "guest", a new CIM user. The password for this user is "guest".

    cimuser -a -u guest -w guest

The following command adds user "guest", a new CIM user. Since the password is not specified on the command line, the user will be prompted for it.

    cimuser -a -u guest Please enter your password: Please re-enter your password:

The following command modifies the password for user "guest", with the new password "bar".

    cimuser -m -u guest -w foo -n bar

The following command removes the CIM user "guest".

    cimuser -r -u guest

The following command displays the list of CIM user names.

    cimuser -l

SEE ALSO

cimserver(8), cimconfig(8).